Bug 434887 - [RHCS] ip.sh do not set the correct netmask
[RHCS] ip.sh do not set the correct netmask
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 19:48 EST by Toure Dunnon
Modified: 2009-04-16 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:57:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toure Dunnon 2008-02-25 19:48:20 EST
+++ This bug was initially created as a clone of Bug #434886 +++

Escalated to Bugzilla from IssueTracker

-- Additional comment from tao@redhat.com on 2008-02-25 19:47 EST --
Description of problem: Netmask bit set to 32 in service IP

How reproducible: Configure an IP in one cluster service

Steps to Reproduce:
Here is the cluster service configuration:
<service domain="FirstDomain" name="ppr1" autostart="1" recovery="relocate"> 
      <script name="ppr1" file="/usr/local/wsb/scripts/rhc_test1"/>
      <ip monitor_link="1" address="10.10.21.71"/>
<fs device="/dev/sdd1" mountpoint="/usr/omg_ppr" fstype="ext3" force_unmount="1" name="/usr/omg_ppr"/> 
      <ip monitor_link="1" address="10.10.21.138"/>
    </service>

And here is the output of ip address show
: bond0: <BROADCAST,MULTICAST,MASTER,UP> mtu 1500 qdisc noqueue
    link/ether 00:19:bb:3b:6c:b1 brd ff:ff:ff:ff:ff:ff
    inet 10.10.21.133/26 brd 10.10.21.191 scope global bond0
    inet 10.10.21.138/32 scope global bond0 <<================= service ip
3: bond1: <BROADCAST,MULTICAST,MASTER,UP> mtu 1500 qdisc noqueue
    link/ether 00:1a:4b:ff:9c:e8 brd ff:ff:ff:ff:ff:ff
    inet 10.10.21.69/27 brd 10.10.21.95 scope global bond1
    inet 10.10.21.71/32 scope global bond1 <<================= service ip


Actual results: the netmask bit on the service IP is set to 32.

Expected results: the netmask bit should be configurable in the IP service, currently there is no parameters available in /usr/share/cluster/ip.sh for setting the netmask and broadcast.
The netmask could be also inherited by the first configured IP in the system which belongs to the same network

Additional info:  In this thread https://www.redhat.com/archives/linux-cluster/2008-February/msg00170.html  2 solutions are provided

1) set the netmask in the service ip , <ip monitor_link="1" address="10.10.21.138/26"/>

2) apply the provided patch

Both solutions work-around the fact that the cluster scripts do not set the correct netmask if none is provided.
This event sent from IssueTracker by tdunnon  [SEG - Storage]
 issue 165004
Comment 3 errata-xmlrpc 2009-01-20 15:57:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0101.html

Note You need to log in before you can comment on or make changes to this bug.